Folks.NoteFieldDetails.NoteFieldDetails – folks Reference Manual

# NoteFieldDetails

## Description:

public NoteFieldDetails (string value, MultiMap<string,string>? parameters = null, string? uid = null)

Create a new NoteFieldDetails.

## Parameters:

value | the value of the field, which should be a non-empty free-form UTF-8 string as entered by the user
parameters | initial parameters. See AbstractFieldDetails.parameters. A `null` value is equivalent to a empty map of parameters.
uid | UID for the note object itself, if known. A `null` value means the note has no unique ID.

## Returns:

a new NoteFieldDetails

## Since:

0.6.0